#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query getNamespaceStorageStatistics(
  $fullPath: ID!
  $searchTerm: String = ""
  $first: Int
  $last: Int
  $after: String
  $before: String
) {
  namespace(fullPath: $fullPath) {
    id
    name
    storageSizeLimit
    actualRepositorySizeLimit
    additionalPurchasedStorageSize
    totalRepositorySizeExcess
    totalRepositorySize
    containsLockedProjects
    repositorySizeExcessProjectCount
    rootStorageStatistics {
      storageSize
      repositorySize
      lfsObjectsSize
      containerRegistrySize
      buildArtifactsSize
      pipelineArtifactsSize
      packagesSize
      wikiSize
      snippetsSize
      uploadsSize
    }
    projects(
      includeSubgroups: true
      search: $searchTerm
      first: $first
      last: $last
      after: $after
      before: $before
      sort: STORAGE
    ) {
      nodes {
        id
        fullPath
        nameWithNamespace
        avatarUrl
        webUrl
        name
        repositorySizeExcess
        actualRepositorySizeLimit
        statistics {
          commitCount
          storageSize
          repositorySize
          lfsObjectsSize
          containerRegistrySize
          buildArtifactsSize
          packagesSize
          wikiSize
          snippetsSize
          uploadsSize
        }
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
